// CButtons.h -- window class
// Created 7/2/97 3:56 PM by AppMaker

#pragma once

#include <LWindow.h>
#include <LListener.h>

class	CGadgetsData;
class	LStream;

class	LCaption;
class	CInvisibleButton;
class	LStdButton;
class	LGAPushButton;
class	LButton;
class	LStdCheckBox;
class	LGARadioButton;
class	LToggleButton;
class	LGACheckbox;

//----------
class	CButtons :	public LWindow,
						public LListener {
public:	// static
	static	CButtons*	CreateButtons		(LCommander*		inSuperCommander,
													 CGadgetsData*	inData);

public:
	enum { class_ID = 'Buts' };

						CButtons		(LStream*	inStream);
	virtual				~CButtons();

	virtual void		ListenToMessage		(MessageT	inMessage,
											 void		*ioParam);

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:
	static	void		RegisterClass();
	virtual void		FinishCreateSelf();
	virtual void		ConnectToData	(CGadgetsData*	inData);


protected:
	static Boolean		sIsRegistered;

	CGadgetsData*	mData;

// Panes in this window:
	CInvisibleButton*		mInvisible2Button;
	LStdButton*		mOKButton;
	LGAPushButton*		mX3DButton;
	LButton*		mPictButtonButton;
	LStdButton*		mTitledPictButton;
	LStdCheckBox*		mCheckCheck;
	LGARadioButton*		mX3DRadioRadio;
	LToggleButton*		mPictCheckCheck;
	LGACheckbox*		mX3DCheckCheck;

};
